Skip to main content
POST
Error

Authorizations

aura_session
string
cookie
required

HttpOnly session cookie set by POST /v1/auth/session. Mutating requests must also send the CSRF token (returned by that call) in the x-csrf-token header.

Body

application/json
market
string
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$
voter
string
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$
voteRound
integer
required
Required range: 0 <= x <= 10000
voteChoice
required

1 = YES, 2 = NO, 3 = TOO_EARLY.

Available options:
1
salt
string
required

32-byte hex string (with or without 0x prefix).

Pattern: ^(0x)?[0-9a-fA-F]+$
commitTxId
string
required
Required string length: 1 - 200

Response

Default Response

ok
enum<boolean>
required
Available options:
true
Last modified on August 11, 2026